=== debian/changelog ===
libsfml (2.5.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- James Cowgill <jcowgill@debian.org>  Thu, 17 May 2018 14:14:43 +0100

libsfml (2.5.0+dfsg-1) experimental; urgency=medium

  [ James Cowgill ]
  * New upstream version.
  * Rename binary packages to libsfml-*2.5 due to SONAME bump.

  * debian/copyright:
    - Update for 2.5.
    - Use secure Format URL.
  * debian/compat: Use debhelper compat 11.
  * debian/control:
    - Set Rules-Requires-Root: no.
    - Switch Vcs URLs to salsa.debian.org.
    - Remove unnecessary Testsuite: autopkgtest field.
    - Bump standards version to 4.1.4.
    - Remove obsolete Breaks (not needed after ABI bump).
    - Drop build-dependency on libjpeg-dev.
    - Increase minimum cmake version in build dependencies.
  * debian/libsfml-dev.install:
    - Install CMake config files and drop FindSFML.cmake.
  * debian/libsfml-doc.doc-base:
    - Update paths now that docs are installed in /usr/share/doc/libsfml-dev.
  * debian/libsfml-doc.docs: Remove debian/tmp/ prefix.
  * debian/libsfml-doc.README.Debian:
    - Update list of removed example resources.
    - Only install in libsfml-doc package.
  * debian/patches:
    - Change author in all patches to my debian.org email address.
    - Renumber patches.
    - 01_remove-googleapi-css.patch: Refresh.
    - 02_hurd.patch: Remove.
    - 03_pkgconfig-cleanup.patch: Added to cleanup pkg-config build system
      which makes the freebsd patch simpler.
    - 04_pkgconfig-freebsd.patch, 05_cmake-config-LIB_SIFFIX.patch:
      - Install cmake config and pkg-config files in multiarch paths.
    - 06_pkgconfig-libs-private.patch: Remove unnecessary private dependencies.
  * debain/rules:
    - Remove obsolete dh_makeshlibs override (not needed after ABI bump).
    - Don't install examples/android/.gitignore.
    - Use /usr/share/dpkg/architecture.mk in debian/rules.
    - Reformat cmake configure options in debian/rules.
  * debian/source/local-options: Remove.
  * debian/tests: Adjust cmake test to work with new config files.

  [ Christoph Egger ]
  * Remove myself from uploaders

 -- James Cowgill <jcowgill@debian.org>  Wed, 16 May 2018 11:34:53 +0100
