## libsfml 2.5.1%2Bdfsg

=== examples/CMakeLists.txt ===

# iOS Demo
if(SFML_OS_IOS)
    add_subdirectory(iOS)
else(SFML_OS_IOS)

    # add the examples subdirectories
    if(SFML_BUILD_NETWORK)
        add_subdirectory(ftp)
        add_subdirectory(sockets)
    endif()
    if(SFML_BUILD_NETWORK AND SFML_BUILD_AUDIO)
        add_subdirectory(voip)
    endif()
    if(SFML_BUILD_AUDIO)
        add_subdirectory(sound)
        add_subdirectory(sound_capture)
    endif()
    if(SFML_BUILD_WINDOW)
        add_subdirectory(window)
    endif()
    if(SFML_BUILD_GRAPHICS)
        add_subdirectory(joystick)
        add_subdirectory(opengl)
        add_subdirectory(shader)
        add_subdirectory(island)
        if(SFML_OS_WINDOWS)
            add_subdirectory(win32)
        elseif(SFML_OS_LINUX OR SFML_OS_FREEBSD)
            add_subdirectory(X11)
        elseif(SFML_OS_MACOSX)
            add_subdirectory(cocoa)
        endif()
    endif()
    if(SFML_BUILD_GRAPHICS AND SFML_BUILD_AUDIO)
        add_subdirectory(pong)
    endif()
endif(SFML_OS_IOS)
