=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  James Cowgill <jcowgill@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
  cmake (>= 3.0.2),
  doxygen,
  g++ (>= 4:7),
@@ -18,8 +18,8 @@
  libx11-dev,
  libxrandr-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
-Homepage: http://www.sfml-dev.org/
+Standards-Version: 4.2.1
+Homepage: https://www.sfml-dev.org/
 Vcs-Git: https://salsa.debian.org/games-team/libsfml.git
 Vcs-Browser: https://salsa.debian.org/games-team/libsfml
 
@@ -115,7 +115,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: libjs-jquery, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: Simple and Fast Multimedia Library - Documentation
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
