=== debian/changelog ===
libsfml (2.5.1+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:06:55 +0100

libsfml (2.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version.

  * d/control: Bump standards to 4.2.1.
  * d/libsfml-doc.links:
    - Remove unused jquery symlink and dependency from libsfml-doc.
  * d/patches:
    - Drop cmake pkgconfig patches.
    - Drop 05_cmake-config-LIB_SIFFIX.patch.
  * d/rules: Set SFML_PKGCONFIG_INSTALL_PREFIX.

 -- James Cowgill <jcowgill@debian.org>  Wed, 17 Oct 2018 09:31:40 +0100
