=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  James Cowgill <jcowgill@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper (>= 11),
  cmake (>= 3.0.2),
  doxygen,
  g++ (>= 4:7),
@@ -19,7 +19,7 @@
  libxrandr-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.2.1
-Homepage: https://www.sfml-dev.org/
+Homepage: http://www.sfml-dev.org/
 Vcs-Git: https://salsa.debian.org/games-team/libsfml.git
 Vcs-Browser: https://salsa.debian.org/games-team/libsfml
