=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh_auto_configure -- \
 		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
 		-DSFML_BUILD_DOC=ON \
-		-DSFML_INSTALL_PKGCONFIG_FILES=ON
+		-DSFML_PKGCONFIG_INSTALL_PREFIX=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 
 override_dh_auto_build:
 	dh_auto_build -- all doc
